apiVersion: traefik.io/v1alpha1
kind: Middleware
metadata:
  name: seaweedfs-cors
  namespace: seaweedfs
spec:
  headers:
    accessControlAllowMethods:
      - GET
      - POST
      - PUT
      - DELETE
      - HEAD
      - OPTIONS
      - PATCH
    accessControlAllowHeaders:
      - "*"
    accessControlExposeHeaders:
      - ETag
      - Content-Length
      - x-amz-request-id
      - x-amz-id-2
      - x-amz-meta-*
    accessControlAllowOriginListRegex:
      - ".*"
    addVaryHeader: true
    accessControlAllowCredentials: false
